
-- Setting a configuration, switch the order in which the settings shall take precedence. First valid one taken.

yl_ticker.settings = {}

yl_ticker.settings.debug = minetest.settings:get("yl_ticker.debug") or false

yl_ticker.settings.save_path = minetest.settings:get("yl_ticker.save_path") or "yl_ticker"

yl_ticker.settings.chatcommand_domain = minetest.settings:get("yl_ticker.chatcommand_domain") or "ticker"

yl_ticker.settings.colour = minetest.settings:get("yl_ticker.colour") or "#7676ff"

yl_ticker.settings.frequency = minetest.settings:get("yl_ticker.frequency") or 3600

yl_ticker.settings.user_privs = minetest.settings:get("yl_ticker.user_privs") or "interact"

yl_ticker.settings.admin_privs = minetest.settings:get("yl_ticker.admin_privs") or "server"
